Installer.com Docs
POST
/api/v1/order

Authorization

Bearer
headerAuthorizationBearer <token>

Installer.com auth token

Request Body

Create order payload

application/json
  1. body
name?|
Lengthlength <= 150
description?||null
metadata?|null
actorAssignments?array<>
workflowId?|
Formatuuid
partnershipId?string|null
workflowCustomId?string|null
idempotencyKey?|

A unique optional identifier for the order. If the same idempotency key is used for multiple requests, the order will be created only once. Any string up to 150 characters is allowed. If not provided check for existing order with the same idempotency key will not be performed. Ideally use a UUID.

Length1 <= length <= 150
files?array<>|null
orderTagIds?array<>|null
customFields?array<>|null
offer?|null
isTest?|

Marks the order as a test order, e.g. created to try out a workflow template.

email*string
Formatemail
phoneNumber*string
contactPersonName*string
Length1 <= length <= 150
customerLegalId?|
Length1 <= length <= 50
externalId?|

The caller's own reference for this order in an external system (e.g. an accounting project reference). Free-form, up to 100 characters.

Lengthlength <= 100
property?||null
address*string
Lengthlength <= 250
city*string
Lengthlength <= 150
postalCode*string
Lengthlength <= 50
state?|
Lengthlength <= 16
countryCode*string
latitude?number|null
longitude?number|null

Response Body

Creates order

application/json
  1. response
value*string
Formatuuid
displayId*string
clientUrl*string
Formaturi
Example Request
curl -X POST 'https://api.installer.com/api/v1/order' \  -H 'Content-Type: application/json' \  -d '{  "email": "[email protected]",  "phoneNumber": "string",  "contactPersonName": "string",  "address": "string",  "city": "string",  "postalCode": "string",  "countryCode": "string"}'
Example Response
{  "value": "a860a344-d7b2-406e-828e-8d442f23f344",  "displayId": "string",  "clientUrl": "http://example.com"}